Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Interface CSSEngine.MainPropertyReceiver

All Known Implementing Classes:
  SVGStylableElement.StyleDeclaration

Enclosing interface:
  CSSEngine

public static interface CSSEngine.MainPropertyReceiver

Interface for people interesting in having 'primary' properties set. Shorthand properties will be expanded "automatically".

Method Summary
`void` | `setMainProperty(java.lang.String name, Value v, boolean important)` Called with a non-shorthand property name and it's value.

Method Detail

### setMainProperty

    public void setMainProperty(java.lang.String name,
                                Value v,
                                boolean important)

  Called with a non-shorthand property name and it's value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.